function [ E2, Eav2, Ssr2, nseg2] = Eliminacion2( S2, N2 )
%****Calculo de la Energía promedio de la señal de voz****
E2 = 0; % Inicialización de la variable que representa la energía
i2 = 0; %Para saber cuando se han procesado 1200 muestras
l2 = 0; %índice de la señal recortada
nseg2 = 0;
%m = 1500; %Para evitar que se guarden muestras de valor 0
Ssr2 = zeros(1,N2);
for k2 = 1:1:N2 %Se calcula el valor de la energía promedio
    E2 = E2 + fix((S2(k2) * S2(k2))/1500);
    i2 = i2+1;
    if k2==1500 %Se guarda el valor de la energía promedio del "piso ruido" como umbral
        Eav2 = E2+fix(E2/1024);
        E2 = 0;
        i2 = 0;
        nseg2 = nseg2+1;
    end
        if i2 == 1500 %Si ya se calculó una nueva energía
            i2 = 0;
            nseg2 = nseg2+1;
                if E2 > Eav2 %Si la nueva energía supera el umbral
                    for j2 = k2-1499:1:k2
                        l2 = l2+1;
                        Ssr2(l2) = S2(j2);
                    end
                else
                %nseg2
                l2 = 0;  
                if nseg2 >= 84
                break;
                end
                end
    E2 = 0;
        end
end
end